package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 公客导出
 */
@Data
public class PrivateCustomerExport {

    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "客户昵称", index = 0)
    private String name;

    /**
     * 电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "手机号码", index = 1)
    private String phone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 9)
    private String sex;

    /**
     * 置业顾问姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问姓名", index = 3)
    private String consultantName;

    /**
     * 置业顾问电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问电话", index = 4)
    private String consultTel;

    /**
     * 置业顾问电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "项目名称", index = 5)
    private String buildingName;

    /**
     * 用户注册时间
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "关注时间（用户注册时间）", index = 2)
    private String createDate;

    /**
     * 国家
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "归属地", index = 6)
    private String province;

//    /**
//     * 省份
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "省份", index = 8)
//    private String province;

    /**
     * 来访方式
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "来访方式（场景渠道）", index = 7)
    private String sceneType;

    /**
     * 意向度
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "意向度（意向值）", index = 8)
    private String intention ;

    /**
     * 意向度
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "推广人员", index = 10)
    private String sharePersonName ;

    /**
     * 意向度
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "积分值", index = 11)
    private String points ;
}
